#!/usr/bin/env ruby
#
# $Id: search.rb,v 1.6 2002/04/15 02:15:45 ianmacd Exp $

require 'google'

KEY = File.open("#{ENV['HOME']}/.google_key") {|kf| kf.readline.chomp}

query = ARGV.shift || 'ruby programming language'
google = Google::Search.new(KEY)

i = 0 
q = google.search(query)
q.response['resultElements'].each do |result|
    printf "\nResult # %d\n\n", i += 1
    result.each do |key|
      printf("%s = %s\n", key, result.attribute[key])
    end
end

puts '---------------------------------'
printf "Estimated number of results is %d.\n",
	q.response['estimatedTotalResultsCount']
printf "Your query took %6f seconds.\n", q.response['searchTime']
