# $Id: ruby-google.spec,v 1.5 2002/04/15 18:29:09 ianmacd Exp $
#
Summary: Ruby/Google module
Name: ruby-google
Version: 0.2.0
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
URL: http://www.caliban.org/ruby
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby, soap4r

%description
Ruby/Google is a Ruby interface to the Google Web API.

%prep
%setup
ruby install.rb config --prefix=$RPM_BUILD_ROOT/%{_prefix}
ruby install.rb setup

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
ruby install.rb install
install google.3 $RPM_BUILD_ROOT%{_mandir}/man3/google.3
gzip -9 $RPM_BUILD_ROOT%{_mandir}/man3/google.3

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	ruby -pe 'sub("^'$RPM_BUILD_ROOT'", "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%doc COPYING google.html README
%doc -P examples/
%defattr(-,root,root)

%changelog
* Sun Apr 14 2002 Ian Macdonald <ian@caliban.org>
- 0.2.0
- add HTTP proxy support
- documentation referred to 'results' hash. Should have been 'resultElements'
- the 'search' method now returns a Struct instead of a hash
- the 'resultElements' element of the Struct returned by the 'search' method is
  now also a Struct, not a hash
- track defined methods using class variables, in order to avoid method
  redefinition warnings in SOAP4R when running Ruby with -w
- added new example program: tkspell.rb
- make example programs pull key from ~/.google_key

* Thu Apr 11 2002 Ian Macdonald <ian@caliban.org>
- 0.1.0
